set_property LOC E3   [get_ports clock_100mhz]
set_property LOC A9   [get_ports uart_rx]
set_property LOC D10  [get_ports uart_tx]
set_property LOC C2   [get_ports n_reset]
set_property LOC G6   [get_ports {led0[2]}]
set_property LOC F6   [get_ports {led0[1]}]
set_property LOC E1   [get_ports {led0[0]}]
set_property LOC G3   [get_ports {led1[2]}]
set_property LOC J4   [get_ports {led1[1]}]
set_property LOC G4   [get_ports {led1[0]}]
set_property LOC J3   [get_ports {led2[2]}]
set_property LOC J2   [get_ports {led2[1]}]
set_property LOC H4   [get_ports {led2[0]}]
set_property LOC K1   [get_ports {led3[2]}]
set_property LOC H6   [get_ports {led3[1]}]
set_property LOC K2   [get_ports {led3[0]}]
set_property LOC A8   [get_ports {switches[0]}]
set_property LOC C11  [get_ports {switches[1]}]
set_property LOC C10  [get_ports {switches[2]}]
set_property LOC A10  [get_ports {switches[3]}]
set_property LOC D9   [get_ports {buttons[0]}]
set_property LOC C9   [get_ports {buttons[1]}]
set_property LOC B9   [get_ports {buttons[2]}]
set_property LOC B8   [get_ports {buttons[3]}]
set_property LOC H5   [get_ports {leds_simple[0]}]
set_property LOC J5   [get_ports {leds_simple[1]}]
set_property LOC T9   [get_ports {leds_simple[2]}]
set_property LOC T10  [get_ports {leds_simple[3]}]

set_property LOC K13  [get_ports mii_mdio]
set_property LOC F16  [get_ports mii_mdc]
set_property LOC F15  [get_ports mii_rx_clk]
set_property LOC C17  [get_ports mii_rx_er]
set_property LOC G16  [get_ports mii_rx_dv]
set_property LOC D18  [get_ports {mii_rx_data[0]}]
set_property LOC E17  [get_ports {mii_rx_data[1]}]
set_property LOC E18  [get_ports {mii_rx_data[2]}]
set_property LOC G17  [get_ports {mii_rx_data[3]}]
set_property LOC H16  [get_ports mii_tx_clk]
set_property LOC H15  [get_ports mii_tx_en]
set_property LOC H14  [get_ports {mii_tx_data[0]}]
set_property LOC J14  [get_ports {mii_tx_data[1]}]
set_property LOC J13  [get_ports {mii_tx_data[2]}]
set_property LOC H17  [get_ports {mii_tx_data[3]}]
set_property LOC D17  [get_ports mii_col]
set_property LOC G14  [get_ports mii_crs]
set_property LOC C16  [get_ports mii_n_reset]
set_property LOC G18  [get_ports mii_clk_25mhz]

set_property LOC G13  [get_ports {pmod_a[0]}]
set_property LOC B11  [get_ports {pmod_a[1]}]
set_property LOC A11  [get_ports {pmod_a[2]}]
set_property LOC D12  [get_ports {pmod_a[3]}]
set_property LOC D13  [get_ports {pmod_a[4]}]
set_property LOC B18  [get_ports {pmod_a[5]}]
set_property LOC A18  [get_ports {pmod_a[6]}]
set_property LOC K16  [get_ports {pmod_a[7]}]
set_property LOC E15  [get_ports {pmod_b[0]}]
set_property LOC E16  [get_ports {pmod_b[1]}]
set_property LOC D15  [get_ports {pmod_b[2]}]
set_property LOC C15  [get_ports {pmod_b[3]}]
set_property LOC J17  [get_ports {pmod_b[4]}]
set_property LOC J18  [get_ports {pmod_b[5]}]
set_property LOC K15  [get_ports {pmod_b[6]}]
set_property LOC J15  [get_ports {pmod_b[7]}]
set_property LOC U12  [get_ports {pmod_c[0]}]
set_property LOC V12  [get_ports {pmod_c[1]}]
set_property LOC V10  [get_ports {pmod_c[2]}]
set_property LOC V11  [get_ports {pmod_c[3]}]
set_property LOC U14  [get_ports {pmod_c[4]}]
set_property LOC V14  [get_ports {pmod_c[5]}]
set_property LOC T13  [get_ports {pmod_c[6]}]
set_property LOC U13  [get_ports {pmod_c[7]}]
set_property LOC D4   [get_ports {pmod_d[0]}]
set_property LOC D3   [get_ports {pmod_d[1]}]
set_property LOC F4   [get_ports {pmod_d[2]}]
set_property LOC F3   [get_ports {pmod_d[3]}]
set_property LOC E2   [get_ports {pmod_d[4]}]
set_property LOC D2   [get_ports {pmod_d[5]}]
set_property LOC H2   [get_ports {pmod_d[6]}]
set_property LOC G2   [get_ports {pmod_d[7]}]

set_property LOC V15  [get_ports {ck_dig_l[0]}]
set_property LOC U16  [get_ports {ck_dig_l[1]}]
set_property LOC P14  [get_ports {ck_dig_l[2]}]
set_property LOC T11  [get_ports {ck_dig_l[3]}]
set_property LOC R12  [get_ports {ck_dig_l[4]}]
set_property LOC T14  [get_ports {ck_dig_l[5]}]
set_property LOC T15  [get_ports {ck_dig_l[6]}]
set_property LOC T16  [get_ports {ck_dig_l[7]}]
set_property LOC N15  [get_ports {ck_dig_l[8]}]
set_property LOC M16  [get_ports {ck_dig_l[9]}]
set_property LOC V17  [get_ports {ck_dig_l[10]}]
set_property LOC U18  [get_ports {ck_dig_l[11]}]
set_property LOC R17  [get_ports {ck_dig_l[12]}]
set_property LOC P17  [get_ports {ck_dig_l[13]}]

set_property LOC U11  [get_ports {ck_dig_h[0]}]
set_property LOC V16  [get_ports {ck_dig_h[1]}]
set_property LOC M13  [get_ports {ck_dig_h[2]}]
set_property LOC R10  [get_ports {ck_dig_h[3]}]
set_property LOC R11  [get_ports {ck_dig_h[4]}]
set_property LOC R13  [get_ports {ck_dig_h[5]}]
set_property LOC R15  [get_ports {ck_dig_h[6]}]
set_property LOC P15  [get_ports {ck_dig_h[7]}]
set_property LOC R16  [get_ports {ck_dig_h[8]}]
set_property LOC N16  [get_ports {ck_dig_h[9]}]
set_property LOC N14  [get_ports {ck_dig_h[10]}]
set_property LOC U17  [get_ports {ck_dig_h[11]}]
set_property LOC T18  [get_ports {ck_dig_h[12]}]
set_property LOC R18  [get_ports {ck_dig_h[13]}]
set_property LOC P18  [get_ports {ck_dig_h[14]}]
set_property LOC N17  [get_ports {ck_dig_h[15]}]

set_property IOSTANDARD LVCMOS33 [get_ports clock_100mhz]
set_property IOSTANDARD LVCMOS33 [get_ports uart_rx]
set_property IOSTANDARD LVCMOS33 [get_ports uart_tx]
set_property IOSTANDARD LVCMOS33 [get_ports n_reset]
set_property IOSTANDARD LVCMOS33 [get_ports {led0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led0[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led1[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led1[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led1[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led2[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led2[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led2[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led3[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led3[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led3[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {switches[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {switches[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {switches[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {switches[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {buttons[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {buttons[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {buttons[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {buttons[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {leds_simple[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {leds_simple[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {leds_simple[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {leds_simple[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports mii_mdio]
set_property IOSTANDARD LVCMOS33 [get_ports mii_mdc]
set_property IOSTANDARD LVCMOS33 [get_ports mii_rx_clk]
set_property IOSTANDARD LVCMOS33 [get_ports mii_rx_er]
set_property IOSTANDARD LVCMOS33 [get_ports mii_rx_dv]
set_property IOSTANDARD LVCMOS33 [get_ports {mii_rx_data[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {mii_rx_data[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {mii_rx_data[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {mii_rx_data[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports mii_tx_clk]
set_property IOSTANDARD LVCMOS33 [get_ports mii_tx_en]
set_property IOSTANDARD LVCMOS33 [get_ports {mii_tx_data[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {mii_tx_data[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {mii_tx_data[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {mii_tx_data[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports mii_col]
set_property IOSTANDARD LVCMOS33 [get_ports mii_crs]
set_property IOSTANDARD LVCMOS33 [get_ports mii_n_reset]
set_property IOSTANDARD LVCMOS33 [get_ports mii_clk_25mhz]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_a[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_a[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_a[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_a[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_a[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_a[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_a[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_a[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_b[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_b[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_b[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_b[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_b[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_b[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_b[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_b[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_c[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_c[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_c[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_c[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_c[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_c[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_c[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_c[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_d[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_d[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_d[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_d[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_d[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_d[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_d[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pmod_d[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[12]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_l[13]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[12]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[13]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[14]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ck_dig_h[15]}]

create_clock -period 12.5 [get_nets sys_clk]

create_clock -period 40.0 [get_nets liteeth_inst.eth_rx_clk]
create_clock -period 40.0 [get_nets liteeth_inst.eth_tx_clk]
